import request from '@/utils/request'

// 保有设备总量查询
export function getRetainedEquipmentListApi(query) {
  return request({
    url: '/material/complex_query/getRetainedEquipmentList',
    method: 'get',
    params: query
  })
}
// 保有设备总量查询-无分页
export function getRetainedEquipmentListNoPageApi(query) {
  return request({
    url: '/material/complex_query/getRetainedEquipmentListNoPage',
    method: 'get',
    params: query
  })
}

// 查询工程机具使用列表
export function getProjUsingRecordListApi(query) {
  return request({
    url: '/material/complex_query/getProjUsingRecordList',
    method: 'get',
    params: query
  })
}
// 查询工程机具使用列表-无分页
export function getProjUsingRecordListNoPage(query) {
  return request({
    url: '/material/complex_query/getProjUsingRecordListNoPage',
    method: 'get',
    params: query
  })
}


// 设备使用追溯查询列表
export function getMachineHistoryRecordListApi(query) {
    return request({
      url: '/material/complex_query/getMachineHistoryRecordList',
      method: 'get',
      params: query
    })
  }

  // 维修检验试验列表
export function getRepairInspectionApi(query) {
    return request({
      url: '/material//repair/getRepairInspection',
      method: 'get',
      params: query
    })
  }

    // 维修检验试验列表
export function getTestRecordApi(query) {
    return request({
      url: '/material//repair/getTestRecord',
      method: 'get',
      params: query
    })
  }

export function getTestRecordDetails(query) {
  return request({
    url: '/material/repair/getTestRecordDetails',
    method: 'get',
    params: query
  })
}


  // 入库记录列表
export function getInputRecordListApi(query) {
  return request({
    url: '/material/complex_query/getInputRecordList',
    method: 'get',
    params: query
  })
}
  // 出库记录列表
export function getOutRecordListApi(query) {
  return request({
    url: '/material/complex_query/getOutRecordList',
    method: 'get',
    params: query
  })
}


  // 在库详情查询
  export function getStorageInfoListApi(query) {
    return request({
      url: '/material/complex_query/getStorageInfoList',
      method: 'get',
      params: query
    })
  }
  // 在用详情查询
  export function getUserRecordListApi(query) {
    return request({
      url: '/material/complex_query/getUserRecordList',
      method: 'get',
      params: query
    })
  }
  // 在修详情查询
  export function getRepairRecordListApi(query) {
    return request({
      url: '/material/complex_query/getRepairRecordList',
      method: 'get',
      params: query
    })
  }
  // 新购待入库详情查询
  export function getPurchaseRecordListApi(query) {
    return request({
      url: '/material/complex_query/getPurchaseRecordList',
      method: 'get',
      params: query
    })
  }
  //  修饰待入库详情查询
  export function getRepairInputListApi(query) {
    return request({
      url: '/material/complex_query/getRepairInputList',
      method: 'get',
      params: query
    })
  }

  //  待报废详情查询
  export function getToScrapInputListApi(query) {
    return request({
      url: '/material/complex_query/getScrapList',
      method: 'get',
      params: query
    })
  }

  //  已审核详情查询
  export function getAuditInputListApi(query) {
    return request({
      url: '/material/complex_query/getScrapAuditList',
      method: 'get',
      params: query
    })
  }

  //  获取电子标签详情
  export function getListTag(query) {
    return request({
      url: '/material/ma_machine/getElectronicLabel',
      method: 'get',
      params: query
    })
  }

  //  获取电子标签下拉框
  export function getSelectionList(query) {
    return request({
      url: '/material/ma_machine/getByMaCode',
      method: 'get',
      params: query
    })
  }

  //  获取一级设备类型下拉框
  export function   getOptionListApi(query) {
    return request({
      url: '/material/ma_type/getListLevel',
      method: 'get',
      params: query
    })
  }

// 供应统计表-列表
export function getStatisticsListApi(query) {
  return request({
    url: '/material/complex_query/getStatisticsList',
    method: 'get',
    params: query
  })
}

// 供应统计表-二级页面
export function getAllDeviceDetailsApi(query) {
  return request({
    url: '/material/complex_query/getSecondStatisticsList',
    method: 'get',
    params: query
  })
}

// 供应统计表-详情
export function getAllUsDetailsApi(query) {
  return request({
    url: '/material/complex_query/getAllUsDetails',
    method: 'get',
    params: query
  })
}

// 查询配件使用查询列表
export function getPartUsingListApi(query) {
  return request({
    url: '/material/repair/getPartUsingList',
    method: 'get',
    params: query
  })
}

//线路类型下拉
export function getLintTypeList(data = {}) {
  return request({
    url: '/material/select/getLintTypeList',
    method: 'post',
    data
  })
}

//物资类型下拉
export function getMaterialTypeList(data = {}) {
  return request({
    url: '/material/select/getMaterialTypeList',
    method: 'post',
    data
  })
}

  // 工程竣工未归还查询列表
export function getFinishNoReturnListApi(query) {
  return request({
    url: '/material/complex_query/getFinishNoReturnList',
    method: 'get',
    params: query
  })
}























